/*
 * Copyright (c) 2018-2019, Arm Limited. All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 *
 */

/*********** WARNING: This is an auto-generated file. Do not edit! ***********/

#ifndef __TFM_PARTITION_LIST_INC__
#define __TFM_PARTITION_LIST_INC__

/******** TFM_SP_STORAGE ********/
PARTITION_DECLARE(TFM_SP_STORAGE, 0
    , "PSA-ROT", 0x00000100, NORMAL);
PARTITION_ADD_INIT_FUNC(TFM_SP_STORAGE, tfm_sst_init);

/******** TFM_SP_AUDIT_LOG ********/
PARTITION_DECLARE(TFM_SP_AUDIT_LOG, 0
    , "PSA-ROT", 0x00000101, NORMAL);
PARTITION_ADD_INIT_FUNC(TFM_SP_AUDIT_LOG, audit_core_init);
#ifdef AUDIT_UART_REDIRECTION
PARTITION_ADD_PERIPHERAL(TFM_SP_AUDIT_LOG, TFM_PERIPHERAL_UART1);
#endif /* AUDIT_UART_REDIRECTION */

/******** TFM_SP_CRYPTO ********/
PARTITION_DECLARE(TFM_SP_CRYPTO, 0
    , "PSA-ROT", 0x00000102, NORMAL);
PARTITION_ADD_INIT_FUNC(TFM_SP_CRYPTO, tfm_crypto_init);

/******** TFM_SP_PLATFORM ********/
PARTITION_DECLARE(TFM_SP_PLATFORM, 0
    , "PSA-ROT", 0x00000102, NORMAL);
PARTITION_ADD_INIT_FUNC(TFM_SP_PLATFORM, platform_sp_init);

/******** TFM_SP_INITIAL_ATTESTATION ********/
PARTITION_DECLARE(TFM_SP_INITIAL_ATTESTATION, 0
    , "PSA-ROT", 0x00000103, NORMAL);
PARTITION_ADD_INIT_FUNC(TFM_SP_INITIAL_ATTESTATION, attest_init);

#ifdef TFM_PARTITION_TEST_CORE
/******** TFM_SP_CORE_TEST ********/
PARTITION_DECLARE(TFM_SP_CORE_TEST, 0
    | SPM_PART_FLAG_IPC
    , "APPLICATION-ROT", 0x00000002, NORMAL);
PARTITION_ADD_INIT_FUNC(TFM_SP_CORE_TEST, core_test_init);
PARTITION_ADD_PERIPHERAL(TFM_SP_CORE_TEST, TFM_PERIPHERAL_FPGA_IO);
#endif /* TFM_PARTITION_TEST_CORE */

#ifdef TFM_PARTITION_TEST_CORE
/******** TFM_SP_CORE_TEST_2 ********/
PARTITION_DECLARE(TFM_SP_CORE_TEST_2, 0
    | SPM_PART_FLAG_IPC
    , "APPLICATION-ROT", 0x00000003, NORMAL);
PARTITION_ADD_INIT_FUNC(TFM_SP_CORE_TEST_2, core_test_2_init);
#endif /* TFM_PARTITION_TEST_CORE */

#ifdef TFM_PARTITION_TEST_SECURE_SERVICES
/******** TFM_SP_SECURE_TEST_PARTITION ********/
PARTITION_DECLARE(TFM_SP_SECURE_TEST_PARTITION, 0
    , "PSA-ROT", 0x00000005, NORMAL);
PARTITION_ADD_INIT_FUNC(TFM_SP_SECURE_TEST_PARTITION, tfm_secure_client_service_init);
PARTITION_ADD_PERIPHERAL(TFM_SP_SECURE_TEST_PARTITION, TFM_PERIPHERAL_STD_UART);
#endif /* TFM_PARTITION_TEST_SECURE_SERVICES */

#ifdef TFM_PSA_API
/******** TFM_SP_IPC_SERVICE_TEST ********/
PARTITION_DECLARE(TFM_SP_IPC_SERVICE_TEST, 0
    | SPM_PART_FLAG_IPC
    , "APPLICATION-ROT", 0x00000007, HIGH);
PARTITION_ADD_INIT_FUNC(TFM_SP_IPC_SERVICE_TEST, ipc_service_test_main);
#endif /* TFM_PSA_API */

#ifdef TFM_PSA_API
/******** TFM_SP_IPC_CLIENT_TEST ********/
PARTITION_DECLARE(TFM_SP_IPC_CLIENT_TEST, 0
    | SPM_PART_FLAG_IPC
    , "APPLICATION-ROT", 0x00000006, NORMAL);
PARTITION_ADD_INIT_FUNC(TFM_SP_IPC_CLIENT_TEST, ipc_client_init);
#endif /* TFM_PSA_API */

#endif /* __TFM_PARTITION_LIST_INC__ */
